/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./localization/calendar-custom-messages.component";
import * as i2 from "./calendar.component";
import * as i3 from "./templates/cell-template.directive";
import * as i4 from "./templates/century-cell-template.directive";
import * as i5 from "./templates/decade-cell-template.directive";
import * as i6 from "./templates/footer-template.directive";
import * as i7 from "./templates/header-template.directive";
import * as i8 from "./templates/header-title-template.directive";
import * as i9 from "./templates/month-cell-template.directive";
import * as i10 from "./templates/navigation-item-template.directive";
import * as i11 from "./templates/weeknumber-cell-template.directive";
import * as i12 from "./templates/year-cell-template.directive";
import * as i13 from "./localization/multiview-calendar-custom-messages.component";
import * as i14 from "./multiview-calendar.component";
/**
 * Required for adding all Calendars features in NgModule-based Angular applications.
 *
 * The package exports:
 * - `CalendarModule`&mdash;The calendar module.
 * - `MultiViewCalendarModule`&mdash;The multi-view calendar module.
 *
 * @example
 *
 * ```typescript
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { CalendarsModule } from '@progress/kendo-angular-dateinputs';
 *
 * @NgModule({
 *   imports: [
 *     BrowserModule,
 *     CalendarsModule
 *   ]
 * })
 * export class AppModule { }
 * ```
 */
export declare class CalendarsModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarsModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<CalendarsModule, never, [typeof i1.CalendarCustomMessagesComponent, typeof i2.CalendarComponent, typeof i3.CellTemplateDirective, typeof i4.CenturyCellTemplateDirective, typeof i5.DecadeCellTemplateDirective, typeof i6.FooterTemplateDirective, typeof i7.HeaderTemplateDirective, typeof i8.HeaderTitleTemplateDirective, typeof i9.MonthCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i11.WeekNumberCellTemplateDirective, typeof i12.YearCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i13.MultiViewCalendarCustomMessagesComponent, typeof i14.MultiViewCalendarComponent, typeof i3.CellTemplateDirective, typeof i4.CenturyCellTemplateDirective, typeof i5.DecadeCellTemplateDirective, typeof i6.FooterTemplateDirective, typeof i7.HeaderTemplateDirective, typeof i8.HeaderTitleTemplateDirective, typeof i9.MonthCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i11.WeekNumberCellTemplateDirective, typeof i12.YearCellTemplateDirective], [typeof i1.CalendarCustomMessagesComponent, typeof i2.CalendarComponent, typeof i3.CellTemplateDirective, typeof i4.CenturyCellTemplateDirective, typeof i5.DecadeCellTemplateDirective, typeof i6.FooterTemplateDirective, typeof i7.HeaderTemplateDirective, typeof i8.HeaderTitleTemplateDirective, typeof i9.MonthCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i11.WeekNumberCellTemplateDirective, typeof i12.YearCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i13.MultiViewCalendarCustomMessagesComponent, typeof i14.MultiViewCalendarComponent, typeof i3.CellTemplateDirective, typeof i4.CenturyCellTemplateDirective, typeof i5.DecadeCellTemplateDirective, typeof i6.FooterTemplateDirective, typeof i7.HeaderTemplateDirective, typeof i8.HeaderTitleTemplateDirective, typeof i9.MonthCellTemplateDirective, typeof i10.NavigationItemTemplateDirective, typeof i11.WeekNumberCellTemplateDirective, typeof i12.YearCellTemplateDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<CalendarsModule>;
}
