/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Defines the Calendar layout orientation for multi-view calendars.
 *
 * The possible values are:
 * - `horizontal` - Displays multiple calendar views side by side
 * - `vertical` - Displays multiple calendar views stacked vertically
 *
 * @example
 * ```typescript
 * const orientation: CalendarOrientation = 'vertical';
 * ```
 */
export type CalendarOrientation = 'horizontal' | 'vertical';
