/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Defines which end of a selection range is currently active for user interaction.
 *
 * The possible values are:
 * - `start` - The start date of the range is active for selection
 * - `end` - The end date of the range is active for selection
 * - `null` - No range end is currently active
 *
 * @example
 * ```typescript
 * const activeEnd: SelectionRangeEnd = 'start';
 * ```
 */
export type SelectionRangeEnd = 'start' | 'end' | null;
