/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Defines the Calendar rendering and navigation behavior type.
 *
 * The possible values are:
 * - `infinite` (default) - Provides infinite scrolling navigation through dates
 * - `classic` - Uses traditional button-based navigation with previous/next controls
 *
 * @example
 * ```typescript
 * const calendarType: CalendarType = 'classic';
 * ```
 */
export type CalendarType = 'infinite' | 'classic';
