/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Defines the available Calendar view types for navigation and display.
 *
 * The possible values are:
 * - `month` - Displays days within a month
 * - `year` - Displays months within a year
 * - `decade` - Displays years within a decade
 * - `century` - Displays decades within a century
 *
 * @example
 * ```typescript
 * const view: CalendarView = 'month';
 * ```
 */
export type CalendarView = 'month' | 'year' | 'decade' | 'century';
