/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./localization/dateinput-custom-messages.component";
import * as i2 from "./dateinput.component";
/**
 * Required for adding all DateInput features in NgModule-based Angular applications.
 *
 * The package exports:
 * - `DateInputComponent`&mdash;The DateInput component.
 * - `DateInputMessagesComponent`&mdash;The DateInput custom messages component.
 *
 * @example
 * ```ts
 * import { DateInputModule } from '@progress/kendo-angular-dateinputs';
 *
 * @NgModule({
 *   imports: [DateInputModule]
 * })
 * export class AppModule { }
 * ```
 */
export declare class DateInputModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<DateInputModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<DateInputModule, never, [typeof i1.DateInputCustomMessagesComponent, typeof i2.DateInputComponent], [typeof i1.DateInputCustomMessagesComponent, typeof i2.DateInputComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<DateInputModule>;
}
