/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { DateInputMessages } from './messages';
import * as i0 from "@angular/core";
/**
 * Represents the Kendo UI DateInput custom messages component.
 * Overrides the default component messages with custom messages ([see example]({% slug globalization_dateinputs %}#toc-custom-messages)).
 *
 * @example
 * ```ts
 * @Component({
 *   selector: 'my-app',
 *   template: `
 *     <kendo-dateinput>
 *       <kendo-dateinput-messages
 *         increment="Increase value"
 *         decrement="Decrease value">
 *       </kendo-dateinput-messages>
 *     </kendo-dateinput>
 *   `
 * })
 * export class AppComponent { }
 * ```
 */
export declare class DateInputCustomMessagesComponent extends DateInputMessages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<DateInputCustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DateInputCustomMessagesComponent, "kendo-dateinput-messages", never, {}, {}, never, never, true, never>;
}
