/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Represents the Kendo UI DateInput incremental steps interface.
 * Defines all possible incremental steps in the `DateInput` component.
 *
 * @example
 * ```html
 * <kendo-dateinput
 *   [steps]="{
 *     year: 1,
 *     month: 1,
 *     day: 1,
 *     hour: 1,
 *     minute: 15,
 *     second: 10
 *   }">
 * </kendo-dateinput>
 * ```
 */
export interface DateInputIncrementalSteps {
    year?: number;
    month?: number;
    day?: number;
    hour?: number;
    minute?: number;
    second?: number;
    millisecond?: number;
}
