/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { DatePickerMessages } from './messages';
import * as i0 from "@angular/core";
/**
 * Allows you to override the default localization messages of the DatePicker component ([see example]({% slug globalization_dateinputs %}#toc-custom-messages)).
 *
 * @example
 * ```html
 * <kendo-datepicker>
 *   <kendo-datepicker-messages
 *     today="Today"
 *     toggle="Open calendar">
 *   </kendo-datepicker-messages>
 * </kendo-datepicker>
 * ```
 */
export declare class DatePickerCustomMessagesComponent extends DatePickerMessages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatePickerCustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatePickerCustomMessagesComponent, "kendo-datepicker-messages", never, {}, {}, never, never, true, never>;
}
