/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Renders the content of the DateRange Popup.
 * To define the popup template, nest an `<ng-template>` tag with the `kendoDateRangePopupTemplate` directive inside the component tag.
 *
 * @example
 * ```html
 * <kendo-daterange>
 *   <ng-template kendoDateRangePopupTemplate>
 *    <div class="custom-popup-content">
 *      Custom content for the DateRange Popup
 *    </div>
 *   </ng-template>
 * </kendo-daterange>
 * ```
 */
export declare class DateRangePopupTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<DateRangePopupTemplateDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DateRangePopupTemplateDirective, "[kendoDateRangePopupTemplate]", never, {}, {}, never, never, true, never>;
}
