/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class TimePickerMessages extends ComponentMessages {
    /**
     * Specifies the text of the **Accept** button in the popup footer of the TimeList.
     */
    accept: string;
    /**
     * Specifies the label of the **Accept** button in the popup footer of the TimeList.
     */
    acceptLabel: string;
    /**
     * Specifies the text of the **Cancel** button in the popup footer of the TimeList.
     */
    cancel: string;
    /**
     * Specifies the label of the **Cancel** button in the popup footer of the TimeList.
     */
    cancelLabel: string;
    /**
     * Specifies the text of the **Now** button in the popup header of the TimeList.
     */
    now: string;
    /**
     * Specifies the label of the **Now** button in the popup header of the TimeList.
     */
    nowLabel: string;
    /**
     * Specifies the title of the **Toggle** button of the TimePicker.
     */
    toggle: string;
    /**
     * Specifies the label of the **Hour** part in the TimePicker.
     */
    hour: string;
    /**
     * Specifies the label of the **Minute** part in the TimePicker.
     */
    minute: string;
    /**
     * Specifies the label of the **Second** part in the TimePicker.
     */
    second: string;
    /**
     * Specifies the label of the **Millisecond** part in the TimePicker.
     */
    millisecond: string;
    /**
     * Specifies the label of the **Dayperiod** part in the TimePicker.
     */
    dayperiod: string;
    /**
     * Specifies the title of the **Clear** button of the TimePicker.
     */
    clearTitle: string;
    /**
     * Specifies the title of the **Close** button of the ActionSheet that renders instead of the popup when using small screen devices in adaptive mode.
     */
    adaptiveCloseButtonTitle: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimePickerMessages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TimePickerMessages, "kendo-timepicker-messages-base", never, { "accept": { "alias": "accept"; "required": false; }; "acceptLabel": { "alias": "acceptLabel"; "required": false; }; "cancel": { "alias": "cancel"; "required": false; }; "cancelLabel": { "alias": "cancelLabel"; "required": false; }; "now": { "alias": "now"; "required": false; }; "nowLabel": { "alias": "nowLabel"; "required": false; }; "toggle": { "alias": "toggle"; "required": false; }; "hour": { "alias": "hour"; "required": false; }; "minute": { "alias": "minute"; "required": false; }; "second": { "alias": "second"; "required": false; }; "millisecond": { "alias": "millisecond"; "required": false; }; "dayperiod": { "alias": "dayperiod"; "required": false; }; "clearTitle": { "alias": "clearTitle"; "required": false; }; "adaptiveCloseButtonTitle": { "alias": "adaptiveCloseButtonTitle"; "required": false; }; }, {}, never, never, false, never>;
}
