/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { TimePickerMessages } from './messages';
import * as i0 from "@angular/core";
/**
 * Represents the Kendo UI TimePicker custom messages component for Angular. Allows you to override default component messages ([see example]({% slug globalization_dateinputs %}#toc-custom-messages)).
 *
 * @example
 * ```html
 * <kendo-timepicker>
 *   <kendo-timepicker-messages
 *     accept="Apply"
 *     cancel="Close"
 *     now="Current time">
 *   </kendo-timepicker-messages>
 * </kendo-timepicker>
 * ```
 */
export declare class TimePickerCustomMessagesComponent extends TimePickerMessages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimePickerCustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimePickerCustomMessagesComponent, "kendo-timepicker-messages", never, {}, {}, never, never, true, never>;
}
