/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./localization/timepicker-custom-messages.component";
import * as i2 from "./timepicker.component";
import * as i3 from "@progress/kendo-angular-common";
/**
 * Required for adding all TimePicker features in NgModule-based Angular applications.
 *
 * @example
 * ```typescript
 * import { NgModule } from '@angular/core';
 * import { TimePickerModule } from '@progress/kendo-angular-dateinputs';
 *
 * @NgModule({
 *   imports: [TimePickerModule],
 *   // ...
 * })
 * export class AppModule { }
 * ```
 */
export declare class TimePickerModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<TimePickerModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<TimePickerModule, never, [typeof i1.TimePickerCustomMessagesComponent, typeof i2.TimePickerComponent, typeof i3.ToggleButtonTabStopDirective, typeof i3.ToggleButtonTabStopDirective], [typeof i1.TimePickerCustomMessagesComponent, typeof i2.TimePickerComponent, typeof i3.ToggleButtonTabStopDirective, typeof i3.ToggleButtonTabStopDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<TimePickerModule>;
}
